Sale events (v1.0)
A vehicle's own sale history: past listings with detail and photo URLs.
Earlier version
This documents Sale events v1.0. The current version is v2.0.
GET
/sale-events/1.0Authorization
Query parameters
Query parameters
vrm?stringVRM to search (required if `vin` not supplied)
vin?stringVIN to search (required if `vrm` not supplied)
from?string · date | datetimeOnly return listings with a `firstSeen` value after the date provided. *If no listings are found due to this query a 404 error will be thrown.*
Formatdate | datetime
to?string · date | datetimeOnly return listings with a `firstSeen` value before the date provided. *If no listings are found due to this query a 404 error will be thrown.*
Formatdate | datetime
Responses
application/json
{
"make": "Ford",
"model": "Fiesta",
"trim": "ST",
"saleEvents": [
{
"mileage": 15051,
"vrm": "AB12CDE",
"firstSeen": "2022-09-05T00:00:00",
"lastSeen": "2022-10-02T00:00:00",
"adText": "17\\\" alloy wheels, front and rear park sensors, LED headlights, electric folding mirrors, automatic lights, multifunction steering wheel, cruise control, drive select driving modes, DAB/FM/CD/SD, satellite navigation, bluetooth, push button start, stop start",
"businessName": "CZ Cars",
"dealerType": "Private",
"price": 25367,
"photos": [
"https://d2awd9skw0rsue.cloudfront.net/f2c4c5d6ee3afe8ccc283b9262a8e8d1/1.jpg"
]
}
]
}make?stringmodel?stringtrim?stringsaleEvents?Code samples
curl --request GET \
--url 'https://api.cazana.com/sale-events/1.0?vrm=AB12CDE&vin=SALGA2BU8HA000000&from=2020-10-31&to=2020-10-31' \
--header 'Authorization: bearer YOUR_API_KEY'